diff --git a/web/pgadmin/static/js/tree/tree_init.tsx b/web/pgadmin/static/js/tree/tree_init.tsx
index 0587f1dc8..823428149 100644
--- a/web/pgadmin/static/js/tree/tree_init.tsx
+++ b/web/pgadmin/static/js/tree/tree_init.tsx
@@ -73,10 +73,11 @@ var initBrowserTree = async (pgBrowser) => {
 
   await treeModelX.root.ensureLoaded()
 
+  let tree_height = window.outerHeight - 300;
   // Render Browser Tree
   await render(
     <div>
-      <FileTreeX height={950} width={'100%'} model={treeModelX}
+      <FileTreeX height={tree_height} width={'100%'} model={treeModelX}
         onReady={itemHandle} create={create} remove={remove} update={update}/>
      </div>, document.getElementById('tree'));
 }
diff --git a/web/pgadmin/tools/search_objects/static/js/search_objects_dialog_wrapper.js b/web/pgadmin/tools/search_objects/static/js/search_objects_dialog_wrapper.js
index 62d37edc1..f8249a892 100644
--- a/web/pgadmin/tools/search_objects/static/js/search_objects_dialog_wrapper.js
+++ b/web/pgadmin/tools/search_objects/static/js/search_objects_dialog_wrapper.js
@@ -288,7 +288,9 @@ export default class SearchObjectsDialogWrapper extends DialogWrapper {
       this.showMessage(gettext('Locating...'));
       tree.findNodeWithToggle(rowData.id_path)
         .then((treeItem)=>{
-          tree.select(treeItem, true);
+          setTimeout(() => {
+            tree.select(treeItem, true);
+          }, 100);
           this.showMessage(null);
         })
         .catch((error)=>{
